Bug 646193 - Can not control volume while screen is locked
Can not control volume while screen is locked
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-24 18:44 EDT by Gregory Maxwell
Modified: 2012-08-16 16:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 454986
Environment:
Last Closed: 2012-08-16 16:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2010-10-24 18:44:37 EDT
Description of problem:
It isn't possible to use the keyboard mute/volume level controls to change the volume level with the screen is locked.

On many modern systems, especially laptops, these software mediated buttons have replaced all hardware controls. In some situations where hardware would be locked down it might be reasonable to lock these controls too, but I believe that this is the exception.

How reproducible:
Always.

Steps to Reproduce:
1. Go to a meeting.
2. Visit a webpage which which will play audio at some point in the future.
3. Leave room, allowing the screen to locks.
(at sometime after that point the computer begins blaring annoying sounds)
  
Actual results:
Battery removed from laptop, coworkers angry at you, data lost.

Expected results:
Someone pushes the mute button, laptop muted.
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:58:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2012-08-16 16:15:37 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.